<div class="form-container">
    <form [formGroup]="form">
        <nb-card accent="info" class="p-3">
            <div class="row">
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b> Name </b>
                        <input formControlName="name" type="text" nbInput placeholder="Text field">
                        <div *ngIf="f.name.dirty && f.name.errors" class="mt-2">
                            <span class="caption danger-text" *ngIf="f.name.errors?.required"> Name is required! </span>
                            <span class="caption danger-text" *ngIf="f.name.errors?.minlength"> Name should be at least
                                {{ f.name.errors.minlength.requiredLength }} characters! </span>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b> Kind </b>
                        <nb-select formControlName="kind">
                            <nb-option *ngFor="let kind of policyKinds" [value]="kind.id">{{kind.name}}</nb-option>
                        </nb-select>
                    </div>
                </div>
            </div>
            <div class="mt-3 row">
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b>DMP Tool</b>
                        <nb-select formControlName="dmp_recommendation">
                            <nb-option *ngFor="let tool of dmpTools" [value]="tool.id">{{tool.name}}</nb-option>
                        </nb-select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b>DMP Tool Score</b>
                        <nb-select formControlName="score1">
                            <nb-option *ngFor="let score of scores" [value]="score">{{score}}</nb-option>
                        </nb-select>
                    </div>
                </div>
            </div>
            <div class="mt-3 row">
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b>Storage Tool</b>
                        <nb-select formControlName="storage_recommendation">
                            <nb-option *ngFor="let tool of storageTools" [value]="tool.id">{{tool.name}}</nb-option>
                        </nb-select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b>Storage Tool Score</b>
                        <nb-select formControlName="score2">
                            <nb-option *ngFor="let score of scores" [value]="score">{{score}}</nb-option>
                        </nb-select>
                    </div>
                </div>
            </div>
            <div class="mt-3 d-flex justify-content-between">
                <button nbButton status="danger" (click)="goBack()">{{ "POLICY.BUTTONS.CANCEL" | translate }}</button>
                <button *ngIf="addMode" [disabled]="isDisabled()" nbButton status="primary"
                    (click)="addUniversity()">{{ "POLICY.BUTTONS.ADD_POLICY" | translate }}</button>
                <button *ngIf="!addMode" [disabled]="isDisabled()" nbButton status="primary">Update University</button>
            </div>
        </nb-card>
    </form>
</div>